Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Connector_Registry Class Reference

Per-ORB TAO Connector Registry. More...

`#include <Connector_Registry.h>`

Collaboration diagram for TAO_Connector_Registry:

[legend]
List of all members.

## Public Methods
| TAO_Connector_Registry (void)
| Default constructor. More...
| ~TAO_Connector_Registry (void)
| Default destructor. More...
TAO_Connector * | get_connector (CORBA::ULong tag)
| Return the connector bridges. More...
int | open (TAO_ORB_Core *orb_core)
| Initialize all registered connectors. More...
int | close_all (void)
| Close all open connectors. More...
int | preconnect (TAO_ORB_Core *orb_core, TAO_EndpointSet &preconnections)
| For this list of preconnections call the connector specific preconnect method for each preconnection. More...
int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc ACE_ENV_ARG_DECL)
int | make_mprofile (const char *ior, TAO_MProfile &mprofile ACE_ENV_ARG_DECL)
| Parse a string containing a URL style IOR and return an MProfile. More...
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
| Create a profile based on the contents of <cdr>. More...
char | object_key_delimiter (const char *ior)
| Obtain the object key delimiter used by the protocol specified in the provided URL style IOR. More...
TAO_ConnectorSetIterator | begin (void)
TAO_ConnectorSetIterator | end (void)
## Private Methods
int | preprocess_preconnects (TAO_ORB_Core *orb_core, TAO_EndpointSet &preconnects)
| Put the preconnects in a form that makes it simple for protocol implementers to parse. More...
| TAO_Connector_Registry (const TAO_Connector_Registry &)
void | operator= (const TAO_Connector_Registry &)
## Private Attributes
TAO_Connector ** | connectors_
| List of connectors that are currently open. More...
size_t | size_
| Number of connectors that are currently open. More...

## Detailed Description

Per-ORB TAO Connector Registry.

Connector Registry and Generic Connector interface definitions. All loaded ESIOP or GIOP connector bridges must register with this object. This class is able to dynamically load a set of concrete protocol connectors which have registered with the service configurator and added their Factory name to the Resource_Factory line of the svc.conf file.

## Constructor & Destructor Documentation

TAO_Connector_Registry::TAO_Connector_Registry | ( | void |  | ) |

| Default constructor.

TAO_Connector_Registry::~TAO_Connector_Registry | ( | void |  | ) |

| Default destructor.

TAO_Connector_Registry::TAO_Connector_Registry | ( | const TAO_Connector_Registry & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE TAO_ConnectorSetIterator TAO_Connector_Registry::begin | ( | void |  | ) |

int TAO_Connector_Registry::close_all | ( | void |  | ) |

| Close all open connectors.

int TAO_Connector_Registry::connect | ( | TAO_GIOP_Invocation * | invocation,
|  | TAO_Transport_Descriptor_Interface *desc | ACE_ENV_ARG_DECL
| ) |

| This is where the transport protocol is selected based on some policy. This member will call the connect member of the TAO_Connector class which in turn will call the concrete connector.

TAO_Profile * TAO_Connector_Registry::create_profile | ( | TAO_InputCDR & | cdr | ) |

| Create a profile based on the contents of <cdr>.

ACE_INLINE TAO_ConnectorSetIterator TAO_Connector_Registry::end | ( | void |  | ) |

TAO_Connector * TAO_Connector_Registry::get_connector | ( | CORBA::ULong | tag | ) |

| Return the connector bridges.

int TAO_Connector_Registry::make_mprofile | ( | const char * | ior,
|  | TAO_MProfile &mprofile | ACE_ENV_ARG_DECL
| ) |

| Parse a string containing a URL style IOR and return an MProfile.

char TAO_Connector_Registry::object_key_delimiter | ( | const char * | ior | ) |

| Obtain the object key delimiter used by the protocol specified in the provided URL style IOR.

int TAO_Connector_Registry::open | ( | TAO_ORB_Core * | orb_core | ) |

| Initialize all registered connectors.

void TAO_Connector_Registry::operator= | ( | const TAO_Connector_Registry & |  | ) | `[private]`

int TAO_Connector_Registry::preconnect | ( | TAO_ORB_Core * | orb_core,
|  | TAO_EndpointSet & | preconnections
| ) |

| For this list of preconnections call the connector specific preconnect method for each preconnection.

int TAO_Connector_Registry::preprocess_preconnects | ( | TAO_ORB_Core * | orb_core,
|  | TAO_EndpointSet & | preconnects
| ) | `[private]`

| Put the preconnects in a form that makes it simple for protocol implementers to parse.

## Member Data Documentation

TAO_Connector** TAO_Connector_Registry::connectors_`[private]`

| List of connectors that are currently open.

size_t TAO_Connector_Registry::size_`[private]`

| Number of connectors that are currently open.

The documentation for this class was generated from the following files:

- Connector_Registry.h
- Connector_Registry.cpp
- Connector_Registry.i